Chuyển đến nội dung
Influence
Esc
↑↓di chuyển↵mở⌘Jxem trước

Khám phá công cụ khả dụng

Trả về tên, mô tả, phạm vi quyền, yêu cầu xác nhận và lược đồ đầu vào của các công cụ mà thông tin xác thực Bearer được phép thấy.

GET/api/v1/tools
Ủy quyền
AuthorizationToken Bearer · headerbắt buộc

Khóa API Influence có phạm vi quyền cụ thể hoặc token truy cập OAuth được hỗ trợ. Không đưa thông tin xác thực vào URL hay đầu vào công cụ.

Các phản hồi
200

Bộ mô tả các công cụ khả dụng.

toolsobject[]bắt buộc
Hiện thuộc tính
Mảng gồm object
annotationsobjectbắt buộc
Hiện thuộc tính
destructiveHintbooleanbắt buộc
idempotentHintbooleanbắt buộc
openWorldHintbooleanbắt buộc
readOnlyHintbooleanbắt buộc
confirmationstringbắt buộc
Cho phép:nonerequired
descriptionstringbắt buộc
độ dài tối thiểu 1 · độ dài tối đa 1024
gatestringbắt buộc
Cho phép:coregenerative-ai
mutabilitystringbắt buộc
Cho phép:readexternal-readwriteexternal-write
namestringbắt buộc
Cho phép:adAuditQuoteadAuditStartadAuditGetadAuditListsearchfetchprofileGetconnectionStatusGetaccountListcampaignGetcampaignListcampaignDraftSavemediaListmediaImportmediaUploadCreatemediaUploadPartmediaUploadCompletemediaUploadGetmediaUploadAbortmediaGetcampaignReviewcampaignReviewGetcampaignReviewExecutecampaignScheduleBatchReviewcampaignScheduleBatchExecutescheduleListbrandContextGetinsightsAccountListinsightsPostListinsightsRefreshcampaignPlanGetcampaignPlanGenerateimageGenerationQuoteimageGenerationStartimageGenerationListintegrationListgroupListintegrationSchemadevtoOrganizationListdevtoTagListdiscordChannelListdiscourseCategoryListdiscourseTagListdiscourseTopicSearchdribbbleTeamListghostAuthorListghostNewsletterListghostTagListghostTierListhashnodePublicationListlemmyCommunitySearchlistmonkListsGetlistmonkTemplateListmattermostChannelListmeweGroupListpinterestBoardListredditSubredditRequirementsGetredditSubredditSearchslackChannelListteamsChannelListtiktokCreatorInfoGetvkDestinationListwhopCompanyListwhopExperienceListwordpressCategoryListwordpressPostTypeListwordpressTagListwrapcastChannelSearchintegrationSchedulePostToolpostsListToolpostSettingsTool
scopesstring[]bắt buộc
số phần tử tối đa 4
titlestringbắt buộc
độ dài tối thiểu 1 · độ dài tối đa 80
inputSchemaobjectbắt buộc
Hiện thuộc tính
typestringbắt buộc
400

Yêu cầu không hợp lệ. Không chấp nhận tham số truy vấn. Lỗi kiểm tra dữ liệu của công cụ có thể dùng cấu trúc phản hồi lỗi của công cụ.

errorobjectbắt buộc
Hiện thuộc tính
codestringbắt buộc
messagestringbắt buộc
retryablebooleanbắt buộc
401

Thông tin xác thực Bearer bị thiếu, không hợp lệ hoặc hết hạn.

errorobjectbắt buộc
Hiện thuộc tính
codestringbắt buộc
messagestringbắt buộc
retryablebooleanbắt buộc
403

Thông tin xác thực thiếu các quyền cần thiết.

errorobjectbắt buộc
Hiện thuộc tính
codestringbắt buộc
messagestringbắt buộc
retryablebooleanbắt buộc
404

API dành cho máy hoặc công cụ được yêu cầu không khả dụng.

errorobjectbắt buộc
Hiện thuộc tính
codestringbắt buộc
messagestringbắt buộc
retryablebooleanbắt buộc
429

Vượt giới hạn tần suất. Có thể thử lại khi gặp lỗi này.

errorobjectbắt buộc
Hiện thuộc tính
codestringbắt buộc
messagestringbắt buộc
retryablebooleanbắt buộc
503

API hoặc quá trình thực thi phía sau API không khả dụng.

errorobjectbắt buộc
Hiện thuộc tính
codestringbắt buộc
messagestringbắt buộc
retryablebooleanbắt buộc
Yêu cầu
curl -X GET 'https://influence.so/api/v1/tools' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Phản hồi
{
  "tools": [
    {
      "annotations": {
        "destructiveHint": true,
        "idempotentHint": true,
        "openWorldHint": true,
        "readOnlyHint": true
      },
      "confirmation": "none",
      "description": "string",
      "gate": "core",
      "mutability": "read",
      "name": "adAuditQuote",
      "scopes": [
        "integrations:read"
      ],
      "title": "string",
      "inputSchema": {
        "type": "object",
        "property1": "string",
        "property2": "string"
      },
      "property1": "string",
      "property2": "string"
    }
  ],
  "property1": "string",
  "property2": "string"
}